iPhone 3G "This App cannot be synced, it is not compatible with this iPhone"

Discussion in 'iPhone Tips, Help and Troubleshooting' started by DoctorManhattan, Nov 3, 2010.

  1. macrumors newbie

    Joined:
    Aug 31, 2009
    #1
    I recently received an itunes gift card and purchased a whole load of games and apps that I've had my eye on for a while. However, two apps, VLC and Bit.Trip Beat will not sync to my 8GB iPhone 3G.

    The error is "The app 'VLC' cannot be synced to this iPhone, it is not compatible with this device" and then it says this error occurred twice, also with the game.

    I am running iTunes 10 on the most updated version of 10.6.3 Snow Leopard, my iPhone 3G is running 4.1 completely unjailbroken.

    Does anyone have any idea what this could be?
     
  2. macrumors newbie

    Joined:
    Jan 11, 2007
    #2
    VLC's not supported on your phone

    http://itunes.apple.com/us/app/vlc-media-player/id390885556


    This new version of VLC brings :
    - Runs on the iPhone 4, iPhone 3GS, and the recent iPod touches

    Same issue with Bit.Trip Beat
    Requirements:Compatible with iPhone 3GS, iPhone 4, iPod touch (3rd generation), iPod touch (4th generation), and iPad. Requires iOS 3.1 or later
     
  3. macrumors regular

    Joined:
    Mar 10, 2010
    Location:
    Top Gear Test Track.
    #3
    The CPU of your phone isn't powerful enough to run vlc. Sorry.
     
  4. macrumors Penryn

    rdowns

    Joined:
    Jul 11, 2003
    #4
    Apple and developers need to do a better job with app requirements.


    [​IMG]
     

Share This Page